# Uses of Class
javax.xml.transform.Transformer

Packages that use Transformer
Package
Description
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.transform.sax
Provides SAX specific transformation classes.

## Uses of Transformer in javax.xml.transform

Methods in javax.xml.transform that return Transformer
Modifier and Type
Method
Description
`Transformer`
Templates.`newTransformer()`
Create a new transformation context for this Templates object.
`abstract Transformer`
TransformerFactory.`newTransformer()`
Create a new `Transformer` that performs a copy of the `Source` to the `Result`, i.e. the "identity transform".
`abstract Transformer`
TransformerFactory.`newTransformer(Source source)`
Process the `Source` into a `Transformer` `Object`.

## Uses of Transformer in javax.xml.transform.sax

Methods in javax.xml.transform.sax that return Transformer
Modifier and Type
Method
Description
`Transformer`
TransformerHandler.`getTransformer()`
Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.